/**
 * NotFound
 * when page not found go (redirect) home ("/")
 */
import React from "react";
import { string } from "prop-types";
import { ServerErrorPage, RootPaper } from "@ess-ics/ce-ui-common";

const propTypes = {
  /** String containing message of page not found. Otherwise defaults to a generic "Page Not Found" message */
  message: string
};

export default function NotFoundView({ message }) {
  return (
    <RootPaper>
      <ServerErrorPage
        status={"404"}
        message={message}
        supportHref={window.SUPPORT_URL}
      />
    </RootPaper>
  );
}

NotFoundView.propTypes = propTypes;
